Chart-1.9.5: A library for generating 2D Charts and Plots

Copyright | (c) Tim Docker 2010 2014
License | BSD-style (see chart/COPYRIGHT)
Safe Haskell | None
Language | Haskell98

Graphics.Rendering.Chart.Axis.Indexed

Description

Calculate and render indexed axes

Synopsis

- newtype PlotIndex = PlotIndex {
  - plotindex_i :: Int
  }
- autoIndexAxis' :: Integral i => Bool -> [String] -> AxisFn i
- autoIndexAxis :: Integral i => [String] -> AxisFn i
- addIndexes :: [a] -> [(PlotIndex, a)]

# Documentation

newtype PlotIndex Source #

Type for capturing values plotted by index number (ie position in a list) rather than a numerical value.

Constructors

PlotIndex |

Fields

- plotindex_i :: Int

#### Instances

Instances details

PlotValue PlotIndex Source # |
Instance details Defined in Graphics.Rendering.Chart.Axis.Indexed Methods toValue :: PlotIndex -> Double Source # fromValue :: Double -> PlotIndex Source # autoAxis :: AxisFn PlotIndex Source #
Enum PlotIndex Source # |

Instance details

Defined in Graphics.Rendering.Chart.Axis.Indexed

Methods

succ :: PlotIndex -> PlotIndex Source #

pred :: PlotIndex -> PlotIndex Source #

toEnum :: Int -> PlotIndex Source #

fromEnum :: PlotIndex -> Int Source #

enumFrom :: PlotIndex -> [PlotIndex] Source #

enumFromThen :: PlotIndex -> PlotIndex -> [PlotIndex] Source #

enumFromTo :: PlotIndex -> PlotIndex -> [PlotIndex] Source #

enumFromThenTo :: PlotIndex -> PlotIndex -> PlotIndex -> [PlotIndex] Source #

Num PlotIndex Source # |
Instance details Defined in Graphics.Rendering.Chart.Axis.Indexed Methods (+) :: PlotIndex -> PlotIndex -> PlotIndex Source # (-) :: PlotIndex -> PlotIndex -> PlotIndex Source # (*) :: PlotIndex -> PlotIndex -> PlotIndex Source # negate :: PlotIndex -> PlotIndex Source # abs :: PlotIndex -> PlotIndex Source # signum :: PlotIndex -> PlotIndex Source # fromInteger :: Integer -> PlotIndex Source #
Integral PlotIndex Source # |

Instance details

Defined in Graphics.Rendering.Chart.Axis.Indexed

Methods

quot :: PlotIndex -> PlotIndex -> PlotIndex Source #

rem :: PlotIndex -> PlotIndex -> PlotIndex Source #

div :: PlotIndex -> PlotIndex -> PlotIndex Source #

mod :: PlotIndex -> PlotIndex -> PlotIndex Source #

quotRem :: PlotIndex -> PlotIndex -> (PlotIndex, PlotIndex) Source #

divMod :: PlotIndex -> PlotIndex -> (PlotIndex, PlotIndex) Source #

toInteger :: PlotIndex -> Integer Source #

Real PlotIndex Source # |
Instance details Defined in Graphics.Rendering.Chart.Axis.Indexed Methods toRational :: PlotIndex -> Rational Source #
Show PlotIndex Source # |
Instance details Defined in Graphics.Rendering.Chart.Axis.Indexed Methods showsPrec :: Int -> PlotIndex -> ShowS Source # show :: PlotIndex -> String Source # showList :: [PlotIndex] -> ShowS Source #
Eq PlotIndex Source # |
Instance details Defined in Graphics.Rendering.Chart.Axis.Indexed Methods (==) :: PlotIndex -> PlotIndex -> Bool Source # (/=) :: PlotIndex -> PlotIndex -> Bool Source #
Ord PlotIndex Source # |

Instance details

Defined in Graphics.Rendering.Chart.Axis.Indexed

Methods

compare :: PlotIndex -> PlotIndex -> Ordering Source #

(<) :: PlotIndex -> PlotIndex -> Bool Source #

(<=) :: PlotIndex -> PlotIndex -> Bool Source #

(>) :: PlotIndex -> PlotIndex -> Bool Source #

(>=) :: PlotIndex -> PlotIndex -> Bool Source #

max :: PlotIndex -> PlotIndex -> PlotIndex Source #

min :: PlotIndex -> PlotIndex -> PlotIndex Source #

autoIndexAxis' :: Integral i => Bool -> [String] -> AxisFn i Source #

Create an axis for values indexed by position. The list of strings are the labels to be used.

autoIndexAxis :: Integral i => [String] -> AxisFn i Source #

addIndexes :: [a] -> [(PlotIndex, a)] Source #

Augment a list of values with index numbers for plotting.